#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif

#include <GL/gl.h>	
#include <GL/glu.h>	
#include <stdlib.h>
#include <SDL.h>

void DrawGLScene()
{
  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);		
  SDL_GL_SwapBuffers();
}


int main(int argc, char **argv) 
{  
  /* Initialize SDL for video output */
  if ( SDL_Init(SDL_INIT_VIDEO) < 0 ) {
    fprintf(stderr, "Unable to initialize SDL: %s\n", SDL_GetError());
    exit(1);
  }

  /* Create a 640x480 OpenGL screen */
  if ( SDL_SetVideoMode(640, 480, 0, SDL_OPENGL) == NULL ) {
    fprintf(stderr, "Unable to create OpenGL screen: %s\n", SDL_GetError());
    SDL_Quit();
    exit(2);
  }

	/* Loop, drawing and checking events */
  int done = 0;
  while ( ! done ) 
	{
    DrawGLScene();
    SDL_Event event;
	  SDL_WaitEvent(&event);
		
		switch(event.type)
		{  
					case SDL_QUIT    : done = 1;  
						                 break ;
					case SDL_KEYDOWN : if ( event.key.keysym.sym == SDLK_ESCAPE ) 
														           done = 1;
												     break;
    }    
  }
  SDL_Quit();
  return 1;
}
